%define name xsetup
%define version 0.07
%define release b1

Name:		%{name}
Summary:	XFree86 template config files and setup program
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	ddcprobe
BuildArchitectures: noarch
#BuildArchitectures: i586


%description
XFree86 template config files and setup program for berry.
Template files and a shell script (xsetup) for the BERRY
non-interactive setup of XFree86 3.x/4.x.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
install -m 755 xsetup %{buildroot}/opt/berry/xsetup
install -m 644 XF86Config*.in %{buildroot}/opt/berry/


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/xsetup
/opt/berry/XF86Config-4.in
/opt/berry/XF86Config.in


##
## change log
##

%changelog
* Fri May 23 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- xf86config-knoppix_0.7-15.tar.gz
* Mon May 12 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Add Fonts Setting
* Wed Apr 30 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Bug fixed for psaux and serial mouse
* Thu Apr 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Rename xf86config-berry to xsetup
* Fri Apr 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://www.knopper.net/download/knoppix/)
- xf86config-knoppix_0.7-7.tar.gz
